Retrieve a Payment Customer
curl --request GET \
--url https://api.dots.dev/api/v2/payment-customers/{payment_customer_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dots.dev/api/v2/payment-customers/{payment_customer_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dots.dev/api/v2/payment-customers/{payment_customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"country_code": "<string>",
"phone_number": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"line_1": "<string>",
"line_2": "<string>"
},
"metadata": {},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}payment-customers
Retrieve a Payment Customer
Get a payment customer by ID.
GET
/
v2
/
payment-customers
/
{payment_customer_id}
Retrieve a Payment Customer
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the payment customer
Was this page helpful?
⌘I

